Description

Additionally, | recommend we add a direction to the Grid Service as a separate field. Many resources can provide one one "side" of
the delivery, for example a load may be able to provide energy reduction (demand response), but not energy increase. Rather than
separate out each grid service, and enumeration called gridServiceDirection could be used with the following:

- BiDirectional
- Injection

- Withdrawal

- Increase

- Decrease

| suggest the two "flavors" because some products naturally make sense with one and not the other. For example, Voltage Increase
makes sense but not really Voltage Injection. Energy, on the other hand, makes sense ash Energy Injection and less so (although
not entirely with Energy Increase) - | think worth a debate. | do recommend against anything which can be viewed differently from the
grid and customer perspective, like "import" and "export” or "in" and "out". A battery might export to the grid, but the grid operator is
importing power from the customer. These "which side of the meter am | sitting" issues can lead to confusion and errors in
exchanges.

If this idea is not popular, we can always revert back to triplicating each service, e.g. RampingUp, RampingDown, and Ramping (for
the case where the service requires both directions and does not differentiate pricing based on direction).

We also need to consider similar constructs already established, of which there are more than | expected:

- flowDirection (string)

- FlowDirectionType (enumeration 'forward' and 'reverse')

- FlowDirectionKind (large enumeration focused on real/reactive power quadrants)

- RelativeDirectionKind (enumeration 'up','down','upAndDown' and 'none')

- BidDirectionKind (enumeration 'up', 'down’, 'upAndDown' and 'stable’)

- ScheduleKind (enumeration 'generation’, 'load’, 'loadincrease’, 'loadDecrease’, and soon 'genrationincrease’ and
'generationDecrease’)

- ComDirectionKind (enumeration 'fromDevice’, 'toDevice', and 'biDirectional’)

This last one is close to what | propose, but is awkward to use with the "Com" in front. But it does sorta make sense with the service
coming from the device and/or going to the device, so | could see us using that with service; although the natural use would rather be
'fromResource’ and 'toResource’

Hopefully something | propose here will resonante and spark some ideas from the group for something perhaps better than | am
proposing...

Decision

Notes from TF16 discussions:
Description for what types of commodity flows are allowed at a given point on the grid.

CommodityDirectionKind
- production

- consumption

- productionincrease

- productionDecrease

- consumptionincrease

- consumptionDecrease

Description for the current state of a commodity flow at a given point on the grid.

History

#1 - 01/16/2025 10:55 AM - Becky Iverson

- Decision updated

#2 - 01/16/2025 10:57 AM - Becky Iverson

- Status changed from New to Open

#3 - 02/13/2025 09:31 AM - Svein Olsen

| think the complete premise is incorrect in regard to the grid. The grid is in principle complying to the Kirchoff's law and operating on a given time
resolution. Grid must describe the capability of the equipment as best as possible. Direction is in principle solved by active power -p can be positive or
negative and where flow is important, we are using the load convention so that a unit producing power will be negative and a unit consuming is
positive. The grid must also handle reactive power balance. We have in the grid side many equivalences, e.g. EnergyConsumer. With more
production in the distribution grid, these equivalents cannot be used any longer.

Market concept is simplification that cannot be translated one-to-one to operational concept. they might also vary from maket to market. The grid
concepts are driven by the type of equipment that are available in the grid and are less affected by market regulation.

| agree and support that we should aligned market concept and operational concept. To go to a generic terms like Commodity - you are really open
the world. If we are listing the most common group of commodities we have Energy, Metal, Agricultural.... For grid we really need to know if we are
talking about Energy or Power - let us focuses on those and let someone deal with soybeans...

#4 - 02/19/2025 10:51 AM - Todd Viegut
19-Feb-2025: Weekly TF13 modelling call

Reviewed this joint issue during our weekly call and the commentary provided by Svein. Feedback to TF16 is that we agree with the goal to
harmonize market and operations. Need to discuss though the proposed decision. We have two very different perspectives that warrant deeper
discussion to arrive at alignment.

#5 - 03/13/2025 09:39 AM - Scott Coe

Per Svein's comment, | agree our commodities are limited. Commodities could be Real Power, Reactive Power, Real Energy, or Reactive Energy.
But there are also commodities - especially at the distribution/retail level - that can be local. For example, the UK has adopted four flexibility services:
Sustain, Secure, Dynamic, Restore. These happen to be, for the time being, Real Energy products. If anyone wants to work on this challenge, see
Issue #6745. This is not the issue for commodity design.

This issue is focused on the way we describe the flow of any commodity. In other words, are you buying/injecting the commodity or are you
selling/consuming the commodity. And is the quantity in the bid/offer/schedule/dispatch/settliement/etc. an absolute number or a relative number?
For example, use 5 kW of energy or use 5 kW LESS energy. The flag to describe the flow should make sense for any basic quantity - again most
commonly real energy or real power, but also reactive, standby capacity, etc.

There needs to be a buy term:
- Buy

- Purchase

- Consume

- Absorb

- Withdrawn

- Load

There needs to be a sell term:

- Sell
- Generation
- Production
- Injection

And each of those two needs three variants:

- An absolute target/setpoint

- A relative increase from target or current level
- A relative decrease from target or current level

Weighing the different options, | still recommend:
- production

- consumption

- productionincrease

- productionDecrease

- consumptionincrease

- consumptionDecrease

This works well for real energy (Energy Production vs Energy Consumption) and they also work nicely for reactive (Reactive Energy production vs.
Reactive Energy Consumption).

My second choice is
- generation

- load

- generationincrease
- geneationDecrease
- loadIncrease

- loadDecrease

Arguably, these work even better for real commodities (Energy Generation vs Energy Load), but when describing reactive they are a bit awkward as
reactive is generally not describe as gen and load but as inject and absorb.

Note: There is a separate conversation about if a given point on the grid in a consumption point, a production point, or can be either. That is a
separate discussion that optimally should be aligned with the result here, e.g. productionPoint, consumptionPoint, productionOrConsumptionPoint

#6 - 03/13/2025 09:50 AM - Svein Olsen
- File clipboard-202503131548-gub0x.png added

In the CIM_Grid18v14_Enterprise14v00_Market04v14 we have the following model in the informative package for Network Code extention:

Claes ExtPowsrdSchedule

We have the BidDirectionKind, isOffer (in contrast to isBid) we have RealEnergy on the bid Schedule and ActivePower on the
PowerBidScheduleTimePoint.

#7 - 03/13/2025 12:20 PM - Scott Coe

The context for these flags include a number of scenarios all related to how services are procured from resources connected to the grid. These
include flexibility services

e Bids/Offers (generally the use for dispatchable resources)

* Forecasts (generally the use for non-dispatchable resources such as loads and renewable generation)

e Clearing Results, Dispatches, and/or Schedules (all are basically the same concepts over different time domains)
e Actuals (which are often derived from metering or device-based measurements)

#8 - 03/13/2025 12:23 PM - Svein Olsen

In case | am not able to come after | done some more thinking. The following could be an alternative to production and consumption:
- Injection: When a market participant produces and supplies electricity to the grid.
- Offtake: When a market participant consumes or redraw electricity from the grid.
